summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-07-06 14:28:57 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-07-06 14:31:16 +0000
commit995b537d90d65c2f876ed74d1eb432adc620337e (patch)
treea7f90618d38e0f3cc69695c9cd5b75a7d6f2a738
parent582ec292af89f1e7207387cf8655f4acf529a8e0 (diff)
tcwg_bmk-build.sh: Gracefully handle benchmarking board going offline
... which is represented by tcwg-benchmark-* build returning UNSTABLE result. Change-Id: Ifa8be8e601ef93412a3a62d9bed4a078fe38fa49
-rw-r--r--round-robin.sh10
-rwxr-xr-xtcwg_bmk-build.sh6
2 files changed, 16 insertions, 0 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 3ffe3ff7..ff08dd20 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -521,6 +521,16 @@ check_regression ()
local score
score=$(grep -v "^#" ${rr[top_artifacts]}/results | tail -n1)
+ if [ x"$score" = x"-125" ]; then
+ echo "ERROR: We have encountered some infrastructure problem (e.g.,"
+ echo " benchmarking boards are offline), andso we can't finish"
+ echo " the build."
+ # Exit now and don't update baseline artifacts.
+ # By not creating trigger-build-* files, we signal
+ # round-robin-bisect.sh to skip this build/revision.
+ exit 125
+ fi
+
if [ x"${rr[update_baseline]}" = x"rebase" ]; then
# No-one ever used "rebase" mode. It's now obsoleted by custom ci_projects.
local base_artifacts_head base_artifacts_tail
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index 9ce91d99..44e5d25b 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -261,6 +261,12 @@ benchmark ()
build_ret=0
break
;;
+ "Finished: UNSTABLE")
+ echo "# Benchmarking infra is offline:" >> ${rr[top_artifacts]}/results
+ echo "-125" >> ${rr[top_artifacts]}/results
+ build_ret=1
+ break
+ ;;
"Finished: "*)
build_ret=1
break